Bug 246764 - Some resolution changes on Radeon 9250 crash xorg
Some resolution changes on Radeon 9250 crash xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 13:43 EDT by Mark Schreiber
Modified: 2008-06-16 21:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log of crashing execution (7.13 KB, application/octet-stream)
2007-07-04 13:43 EDT, Mark Schreiber
no flags Details
xorg.conf belonging to crashing xorg (3.86 KB, application/octet-stream)
2007-07-04 13:44 EDT, Mark Schreiber
no flags Details

  None (edit)
Description Mark Schreiber 2007-07-04 13:43:16 EDT
Description of problem:
Changing resolution from 1600x1200 to 400x300 and then back to 1600x1200 on my
Radeon 9250 causes xorg to segfault.  This has been around for at least the last
few Fedora releases.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-9.fc7
xorg-x11-drv-ati-6.6.3-4.fc7

How reproducible:
Have display set to 1600x1200.  Change to 400x300.  Attempt to change to
1600x1200.  Xorg will crash.  I do not see a crash when changing between
1600x1200->640x480->1600x1200 or from 1600x1200->400x300->640x480.

Steps to Reproduce:
1.Start xorg in 1600x1200
2.xrandr -s 400x300
3.xrandr -s 1600x1200
  
Actual results:
Crash

Expected results:
Executing properly in 1600x1200

Additional info:
Complete logfile and xorg.conf are attached, but here is the last bit of the log:

Backtrace:
0: X(xf86SigHandler+0x81) [0x80c2d21]
1: [0xf79420]
2: /usr/lib/xorg/modules//libfb.so(fbCopyAreammx+0x1c9) [0x1e78b9]
3: /usr/lib/xorg/modules//libfb.so(fbCopyNtoN+0x20b) [0x1d446b]
4: /usr/lib/xorg/modules//libfb.so(fbCopyRegion+0xc3) [0x1d3373]
5: /usr/lib/xorg/modules//libfb.so(fbDoCopy+0x46f) [0x1d39cf]
6: /usr/lib/xorg/modules//libfb.so(fbCopyArea+0x78) [0x1d3b98]
7: /usr/lib/xorg/modules//libxaa.so [0x2003dd]
8: /usr/lib/xorg/modules//libxaa.so(XAACopyArea+0xe7) [0x201657]
9: /usr/lib/xorg/modules//libshadowfb.so [0xd45d4f]
10: X [0x8178cea]
11: X [0x8174ce5]
12: X(ProcCopyArea+0x1aa) [0x8087b8a]
13: X [0x81523c1]
14: X(Dispatch+0x1aa) [0x80899fa]
15: X(main+0x495) [0x8071735]
16: /lib/libc.so.6(__libc_start_main+0xe0) [0x91bf70]
17: X(FontFileCompleteXLFD+0x1e9) [0x8070a21]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Mark Schreiber 2007-07-04 13:43:16 EDT
Created attachment 158531 [details]
xorg log of crashing execution
Comment 2 Mark Schreiber 2007-07-04 13:44:43 EDT
Created attachment 158532 [details]
xorg.conf belonging to crashing xorg
Comment 3 Bug Zapper 2008-05-14 09:24:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:47:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.